Package com.independentsoft.office.charts

# Class PageSetup

java.lang.Object
com.independentsoft.office.charts.PageSetup

public class PageSetup extends Object
The Class PageSetup.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageSetup()`
  Instantiates a new page setup.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageSetup`
  `clone()`
  `int`
  `getCopies()`
  Gets the copies.
  `int`
  `getFirstPageNumber()`
  Gets the first page number.
  `int`
  `getHorizontalDpi()`
  Gets the horizontal dpi.
  `PrintedPageOrientation`
  `getOrientation()`
  Gets the orientation.
  `PaperSize`
  `getPaperSize()`
  Gets the paper size.
  `int`
  `getVerticalDpi()`
  Gets the vertical dpi.
  `boolean`
  `isBlackAndWhite()`
  Checks if is black and white.
  `boolean`
  `isDraft()`
  Checks if is draft.
  `boolean`
  `isUseFirstPageNumber()`
  Checks if is use first page number.
  `void`
  `setBlackAndWhite​(boolean blackAndWhite)`
  Sets the black and white.
  `void`
  `setCopies​(int copies)`
  Sets the copies.
  `void`
  `setDraft​(boolean draft)`
  Sets the draft.
  `void`
  `setFirstPageNumber​(int firstPageNumber)`
  Sets the first page number.
  `void`
  `setHorizontalDpi​(int horizontalDpi)`
  Sets the horizontal dpi.
  `void`
  `setOrientation​(PrintedPageOrientation orientation)`
  Sets the orientation.
  `void`
  `setPaperSize​(PaperSize paperSize)`
  Sets the paper size.
  `void`
  `setUseFirstPageNumber​(boolean useFirstPageNumber)`
  Sets the use first page number.
  `void`
  `setVerticalDpi​(int verticalDpi)`
  Sets the vertical dpi.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageSetup

    public PageSetup()
    Instantiates a new page setup.

- ## Method Details

  - ### clone

    public PageSetup clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isBlackAndWhite

    public boolean isBlackAndWhite()
    Checks if is black and white.
    Returns:
      true, if is black and white

  - ### setBlackAndWhite

    public void setBlackAndWhite​(boolean blackAndWhite)
    Sets the black and white.
    Parameters:
      `blackAndWhite` - the new black and white

  - ### getCopies

    public int getCopies()
    Gets the copies.
    Returns:
      the copies

  - ### setCopies

    public void setCopies​(int copies)
    Sets the copies.
    Parameters:
      `copies` - the new copies

  - ### isDraft

    public boolean isDraft()
    Checks if is draft.
    Returns:
      true, if is draft

  - ### setDraft

    public void setDraft​(boolean draft)
    Sets the draft.
    Parameters:
      `draft` - the new draft

  - ### getFirstPageNumber

    public int getFirstPageNumber()
    Gets the first page number.
    Returns:
      the first page number

  - ### setFirstPageNumber

    public void setFirstPageNumber​(int firstPageNumber)
    Sets the first page number.
    Parameters:
      `firstPageNumber` - the new first page number

  - ### getHorizontalDpi

    public int getHorizontalDpi()
    Gets the horizontal dpi.
    Returns:
      the horizontal dpi

  - ### setHorizontalDpi

    public void setHorizontalDpi​(int horizontalDpi)
    Sets the horizontal dpi.
    Parameters:
      `horizontalDpi` - the new horizontal dpi

  - ### getOrientation

    public PrintedPageOrientation getOrientation()
    Gets the orientation.
    Returns:
      the orientation

  - ### setOrientation

    public void setOrientation​(PrintedPageOrientation orientation)
    Sets the orientation.
    Parameters:
      `orientation` - the new orientation

  - ### getPaperSize

    public PaperSize getPaperSize()
    Gets the paper size.
    Returns:
      the paper size

  - ### setPaperSize

    public void setPaperSize​(PaperSize paperSize)
    Sets the paper size.
    Parameters:
      `paperSize` - the new paper size

  - ### isUseFirstPageNumber

    public boolean isUseFirstPageNumber()
    Checks if is use first page number.
    Returns:
      true, if is use first page number

  - ### setUseFirstPageNumber

    public void setUseFirstPageNumber​(boolean useFirstPageNumber)
    Sets the use first page number.
    Parameters:
      `useFirstPageNumber` - the new use first page number

  - ### getVerticalDpi

    public int getVerticalDpi()
    Gets the vertical dpi.
    Returns:
      the vertical dpi

  - ### setVerticalDpi

    public void setVerticalDpi​(int verticalDpi)
    Sets the vertical dpi.
    Parameters:
      `verticalDpi` - the new vertical dpi